/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

/**
 * @file GLExtendDlgBase.h
 * @brief クラス CGLExtendDlgBase の宣言
 */
#pragma once
#include "mgModelessDialogue.h"

class MGCommandBase;

/** 曲線＞延長＞延長と曲面＞延長ダイアログの共通部分 */
class CGLExtendDlgBase : public mgModelessDialogue{

	double m_dLength; ///< 延長の長さ
	CSpinButtonCtrl m_spnLength; ///< 延長の長さスピンボタン
	double m_dVary; ///< 曲率変化
	CSpinButtonCtrl m_spnVary; ///< 曲率変化スピンボタン

public:
	CGLExtendDlgBase(MGCommandBase* tool);

	double GetLength() const{ return m_dLength; };
	void SetLength(double dLength);

	double GetVary() const{	return m_dVary;};
	void SetVary(double dVary);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();

	afx_msg void OnDeltaposSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnPreview();

	virtual void UpdateView() = 0;

	DECLARE_MESSAGE_MAP()
};
